# BEGIN SourceDeps(oneline):
BuildRequires: perl(FindBin.pm) perl(Module/Build.pm) perl(Mojo/Base.pm) perl(Mojolicious/Lite.pm) perl(Test/Mojo.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Mojolicious-Plugin-HashedParams
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Transformation request parameters into a hash and multi-hash
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GR/GRISHKOV/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
plugin 'HashedParams';.
  # Transmit params:
  /route?message[body]=PerlOrDie&message[task][id]=32
    or
  <input type="text" name="message[task][id]" value="32"> 

  get '/route' => sub {
    my $self = shift;
    # you can also use permit parameters
    $self->hparams( qw/message/ );
    # return all parameters in the hash
    $self->hparams();
  };


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes
%perl_vendor_privlib/M*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

